<div id="album" *ngIf="album">
  <header class="album-header">
    <div class="row">
      <div class="col-md-4 text-center">
        <div *ngIf="album.images.length > 0">
          <img class="album-thumb" [src]="album.images[0].url">
        </div>
      </div>
      <div class="col-md-8">
        <h4 *ngIf="album.artists.length > 0">
          <span *ngFor="let artist of album.artists">
            {{artist.name}}
          </span>
        </h4>
        <h2>{{album.name}}</h2>
        <h5>Release Date: {{album.release_date}}</h5>
        <a class="btn btn-secondary" [href]="album.external_urls.spotify" target="_blank">View in Spotify</a>
      </div>
    </div>
  </header>
  <div class="album-tracks">
    <h2>Album Tracks</h2>
    <div *ngFor="let track of album.tracks.items">
      <div class="track-container">
        <h5>{{track.track_number}} - {{track.name}}</h5>
        <a *ngIf="track.preview_url" class="btn btn-secondary btn-preview" [href]="track.preview_url" target="_blank">Preview Track</a>
        <a *ngIf="!track.preview_url" class="btn btn-secondary btn-preview" [href]="track.external_urls.spotify" target="_blank">Listen in Spotify</a>
      </div>
    </div>
  </div>
</div>